Subject: [ippm] RE: 'IPPM' IDs on multicast and spatial measure / PCE metric to measure path quality

From: "STEPHAN Emile RD-CORE-LAN" <[email-masked]>
Date: Tue, 1 Feb 2005 19:15:33 +0100

Dear Henk,

>From my point of view these 3 drafts may merge and in a WG draft that defines the minimal set of metrics to permit spatial and multicast measurements.

These metrics are the ones needed in the PCE WG to measure path quality and the ones needed to measure multicast tree performance:

- The decomposition of 'singletons' of IPPM one-way delay, packet loss and jitter over a path: 
	Samples of instantaneous per hop performance;

- The delay, loss and jitter of a hop of a path;
	An item of the previous decomposition; 

- The aggregation of end-to-end one-way delays over a path is needed too:
	Permits aggregation of inter domain delay and aggregation of delay of a branch of a multicast tree.

- The samples of 'singletons' of IPPM one-way delay, packet loss and jitter for a group of receiver: 
	Permit multiparty statistics;

Regards
Emile

-----Message d'origine-----
De : Henk Uijterwaal [mailto:[email-masked]] 
Envoyé : lundi 31 janvier 2005 08:26
À : STEPHAN Emile RD-CORE-LAN; [email-masked]
Cc : Matthew J Zekauskas
Objet : Re: 'IPPM' IDs on multicast an spatial measure

Dear Emile,

>During the last WG meeting Matt asked me to reread the draft 
>draft-liang-multiparty-para-00.txt while considering the previous IDs I 
>posted on spatial and multicast metrics.
>
>I reread them. Following is the list of metrics I found. I can make 
>further classifications, comparisons or comments if needed.

Based on your reading of this draft, do you have any opinion on how
we should proceed with draft-liang-multiparty...  Pick it up as a WG
item?  Leave it to the authors to pursue as an individual submission?

Kind regards,

Henk

>Regards
>Emile

>--------------- draft-stephan-ippm-multicast-metrics-00.txt ----------------
>
>The draft defines 1 network metrics:
>
>         + Type-P-spatial-hop-one-way-delay
>
>
>
>The draft defines several aggregation metrics:
>
>         + Type-P-spatial-one-way-delay-stream
>
>         + Type-P-spatial-one-way-delay
>
>         + Type-P-Multicast-Instantaneous-Hop-One-way-Delay
>
>         + Type-P-Multicast-Instantaneous-One-way-Delay-Percentile
>
>         + Type-P-Multicast-Instantaneous-One-way-Delay-Median
>
>         + Type-P-Multicast-Instantaneous-One-way-Delay-Inverse Percentile
>
>         + Type-P-Multicast-Instantaneous-Packet-Loss-Stream
>
>         + Type-P-Multicast-Instantaneous-Packet-Loss-Percentile
>
>         + Type-P-Multicast-Instantaneous-Packet-Loss-Median
>
>         + Type-P-Multicast-Instantaneous-Packet-Loss-Inverse Percentile
>
>         + Type-P-Multicast-Instantaneous-Connectivity
>
>
>
>--------------- draft-stephan-ippm-spatial-metrics-01.txt ---------------
>
>
>
>The draft defines 2 network metrics:
>
>         + Type-P-spatial-one-way-delay
>
>         + Type-P-Spatial-packet-loss
>
>
>
>The draft defines several path aggregation metrics :
>
>         + Type-P-one-way-delay-trajectory
>
>         + Type-P-aggregated-one-way-delay
>
>         + Type-P-asynchronous-one-way-delay-trajectory
>
>         + Type-P-asynchronous-aggregated-one-way-delay
>
>         + Type-P-Spatial-packet-loss-stream
>
>         + Type-P-Spatial-packet-loss-Average
>
>
>
>--------------- draft-liang-multiparty-para-00.txt ---------------
>
>The draft defines statistics for end to end multicast performance, mainly 
>to identify the variation of the performance between the member of a group.
>
>Actually the draft has 4 groups of statistics metrics:
>
>         One-to-group-Mean-Paramater
>
>         One-to-group-Variation-Paramater
>
>         Group-to-one-Mean-Paramater
>
>         Group-to-one-Variation-Paramater
>
>The value of Parameter depends on what one-way metric is used from delay, 
>loss ot jitter.
>
>To permit comparison I extended the list of metrics defined using IPPM 
>metrics terminology:
>
>         + Type-P-One-to-group-Mean-one-way-delay;
>
>         + Type-P-One-to-group-Mean-Packet-Loss;
>
>         + Type-P-One-to-group-Mean-ipdv;
>
>
>
>         + Type-P-One-to-group-Variation-one-way-delay;
>
>         + Type-P-One-to-group-Variation-Packet-Loss;
>
>         + Type-P-One-to-group-Variation-ipdv;
>
>
>
>         + Type-P-Group-to-one-Mean-one-way-delay;
>
>         + Type-P-Group-to-one-Mean-Packet-Loss;
>
>         + Type-P-Group-to-one-Mean-ipdv;
>
>
>
>         + Type-P-Group-to-one-Variation-one-way-delay;
>
>         + Type-P-Group-to-one-Variation-Packet-Loss;
>
>         + Type-P-Group-to-one-Variation-ipdv;

------------------------------------------------------------------------------
Henk Uijterwaal                           Email: henk.uijterwaal(at)ripe.net
RIPE Network Coordination Centre          http://www.amsterdamned.org/~henk
P.O.Box 10096          Singel 258         Phone: +31.20.5354414
1001 EB Amsterdam      1016 AB Amsterdam  Fax: +31.20.5354445
The Netherlands        The Netherlands    Mobile: +31.6.55861746
------------------------------------------------------------------------------

Look here junior, don't you be so happy.
And for Heaven's sake, don't you be so sad.                 (Tom Verlaine) 

_______________________________________________
ippm mailing list
[email-masked] 
https://www1.ietf.org/mailman/listinfo/ippm